Katello - Bug #6516

redhat products can be deleted from bulk products page
07/07/2014 04:12 PM - Justin Sherrill

Status: Closed

Priority: High

Assignee: Justin Sherrill

Category: API

Target version: Katello 2.0

Difficulty: easy Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1117026 Red Hat JIRA:

Pull request:

Description

Currently redhat products can be deleted from the bulk products page.

. import a manifest

. enable a repo

. go to products

. check the redhat product
. Click 'bulk actions'

. click 'remove products
Associated revisions

Revision 503d6f3f - 07/08/2014 04:56 PM - Justin Sherrill
fixes #6516 - various product deletion fixes
e Redhat products & promoted products could be deleted under bulk actions api & ui
e Single product delete api allowed redhat & promoted product deletion
e cp_id was being sent up for bulk actions
® error messages were only including a single errored product
success and error messages were not actually printing
products were removed from list even if they were not actually deleted

Revision cf2b8743 - 07/08/2014 04:56 PM - Justin Sherrill

fixes #6516 - various product deletion fixes

e Redhat products & promoted products could be deleted under bulk actions api & ui
e Single product delete api allowed redhat & promoted product deletion

¢ cp_id was being sent up for bulk actions

e error messages were only including a single errored product

® success and error messages were not actually printing

¢ products were removed from list even if they were not actually deleted

Revision a53fa592 - 07/09/2014 09:01 AM - Justin Sherrill
Merge pull request #4404 from jlsherril/6516-prod_delete
fixes #6516 - various product deletion fixes

Revision a046373d - 07/09/2014 09:01 AM - Justin Sherrill
Merge pull request #4404 from jIsherril/6516-prod_delete

fixes #6516 - various product deletion fixes

History

#1 - 07/07/2014 04:29 PM - Justin Sherrill
- Bugzilla link set to 1117026
#2 - 07/08/2014 09:43 AM - Justin Sherrill

- Assignee set to Justin Sherrill

#3 - 07/09/2014 10:01 AM - Justin Sherrill
- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|503d6f3f73a4e420443829d866fd31835ab465a2.

05/17/2024 22


https://projects.theforeman.org/projects/katello/repository/katello/revisions/503d6f3f73a4e4204438a9d866fd31835ab465a2
http://www.tcpdf.org

